import Settings from './types';
interface IGameSettings {
    get(): Settings;
    set(props: Partial<Settings>): void;
}
declare class GameSettings implements IGameSettings {
    private static instance;
    private settings;
    private constructor();
    static init(defaultSettings: Settings): GameSettings;
    static getInstance(): GameSettings;
    get(): Settings;
    set(props: Partial<Settings>): void;
}
export default GameSettings;
